using Microsoft.EntityFrameworkCore;
using Newtonsoft.Json;

namespace SQLiteEF;

[PrimaryKey("AppId")]
public class Game(ulong appId, string name)
{
    public ulong AppId { get; init; } = appId;
    public string Name { get; init; } = name;
    [JsonIgnore] public ICollection<Player> PlayedBy { get; init; } = null!;
    [JsonIgnore] public ICollection<TrackedTime> TrackedTimes { get; init; } = null!;
}